<?php

namespace App\Models;

class ActivityLogModel
{
  public function __construct(
    private ?int $id,
    private ?int $ticketId,
    private int $userId,
    private string $aktivitas,
    private ?string $ipAddress,
    private string $logType,
    private ?string $tanggalAktivitas,
    private ?string $namaUser = null,
  ) {}

  public function getId(): ?int
  {
    return $this->id;
  }

  public function getTicketId(): ?int
  {
    return $this->ticketId;
  }

  public function getUserId(): int
  {
    return $this->userId;
  }

  public function getAktivitas(): string
  {
    return $this->aktivitas;
  }

  public function getIpAddress(): ?string
  {
    return $this->ipAddress;
  }

  public function getTanggalAktivitas(): ?string
  {
    return $this->tanggalAktivitas;
  }

  public function getNamaUser(): ?string
  {
    return $this->namaUser;
  }

  public function getLogType(): string
  {
    return $this->logType;
  }
}
